import request from "@/utils/httpRequest";
import { REGISTER_PATH as prefix } from "../../AppPath";

export default {
	save(inputForm) {
		return request({
			url: prefix + `/handoverRecovery/save`,
			method: "post",
			data: inputForm,
		});
	},
	findById(id) {
		return request({
			url: prefix + "/handoverRecovery/findById",
			method: "get",
			params: { id: id },
		});
	},
	updateStatusById(param) {
		return request({
			url: prefix + "/handoverRecovery/updateStatusById",
			method: "post",
			data: param,
		});
	},
	deleteDingTalkByTenantId(param) {
		return request({
			url: prefix + "/handoverRecovery/deleteDingTalkByTenantId",
			method: "post",
			params: param,
		});
	},
};
